#include <WScom.h>
#include <WSCfunctionList.h>
#include <WSCbase.h>
#include "dssbp.h"
#include <WSCmessageDialog.h>
extern WSCmessageDialog* newmess_000;
//----------------------------------------------------------
//Function for the event procedure
//----------------------------------------------------------
void start_proc(WSCbase* object){
  PaError err;
  if (!running) {
    if (mode == 0) {		// AM mode
      popup_err_dialog("AM modulation not implemented yet");
      return;
    }
    err = Pa_StartStream(pa_stream);
    if (err != paNoError) {
      popup_pa_err_dialog(err);
    } else {
      object->setProperty(WSNbackColor, "#00ff00");
      running = 1;
      generating = 1;
    }
  } else {
    err = Pa_StopStream(pa_stream);
    if (err != paNoError) {
      popup_pa_err_dialog(err);
    } else {
      object->setProperty(WSNbackColor, "DEF13");
      running = 0;
      generating = 0;
    }
  }
}
static WSCfunctionRegister  op("start_proc",(void*)start_proc);
